This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 158015 - [PATCH] i915 DRI driver lacks support for i945G integrated graphics
[PATCH] i915 DRI driver lacks support for i945G integrated graphics
Status: CLOSED DUPLICATE of bug 156964
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-17 16:27 EDT by wingc
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-17 17:52:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
[PATCH] support i945G as i915G in DRI driver, xorg-x11-6.8.2 (1.63 KB, patch)
2005-05-17 16:27 EDT, wingc
no flags Details | Diff

  None (edit)
Description wingc 2005-05-17 16:27:01 EDT
Description of problem:

The i915 DRI OpenGL driver, included in xorg-x11-6.8.2, does not support the
i945G integrated graphics controller found in recent Intel-based x86_64 capable
PCs. It seems to work properly with the i945G if the appropriate PCI IDs are added.

Version-Release number of selected component (if applicable):

Tested most recent RHEL4 beta xorg-x11 RPM (xorg-x11-6.8.2-1.EL.5)

How reproducible:

Always

Steps to Reproduce:
1. try to set up DRI for OpenGL acceleration on a machine with i945G integrated
graphics
  
Actual results:

i915_dri.so does not recognize the i945G graphics controller

Expected results:


Additional info:


Here is a patch against the xorg-x11-6.8.2 sources from RHEL4 (most recent beta,
xorg-x11-6.8.2-1.EL.5) that adds the necessary code to drive the i945G as a i915G.

With the attached patch I rebuilt the i915_dri.so driver from the most recent
RHEL4 beta, and OpenGL acceleration is working fine on a x86_64 machine. 
(pre-production Dell GX620, x86_64, i945G integrated graphics)
Comment 1 wingc 2005-05-17 16:27:01 EDT
Created attachment 114481 [details]
[PATCH] support i945G as i915G in DRI driver, xorg-x11-6.8.2
Comment 2 wingc 2005-05-17 16:46:39 EDT
See also the related bugs:
                                                                                
bug #157991 (intel-agp driver needed on x86_64)
bug #157995 (support i945G host bridge in intel-agp driver)
bug #157997 (i915 DRM kernel module needed on x86_64)
bug #158000 (support i945G integrated graphics in i915 DRM kernel module)
bug #158014 (support i945G integrated graphics in xorg-x11 i810 driver)
bug #158016 (disable debugging output to stderr in i915 DRI driver, x86_64)
                                                                                
Taken as a series, when these are all resolved it will be possible to get
working OpenGL acceleration in RHEL4 for the i945G integrated graphics chipset
on x86_64.
Comment 3 Mike A. Harris 2005-05-17 17:52:39 EDT

*** This bug has been marked as a duplicate of 156964 ***

Note You need to log in before you can comment on or make changes to this bug.